---
# nexus default values
nexus: true
nexus_config_dir: "{{ k8scluster_config_dir }}/nexus/"
nexus_fqdn: "nexus.{{ k8scluster_network_fqdn }}"

nexus_templates:
  "pv-nfs.yml": "pv-nfs.yml"

# nexus.helm
# https://artifacthub.io/packages/helm/sonatype/nexus-repository-manager
# https://github.com/sonatype/helm3-charts/tree/nexus-repository-manager-29.1.0/charts
nexus_chart_version: "29.1.0"
nexus_chart_ref: '{{
  "{nloc}{path}{prod}-{ver}/{prod}-{ver}.tgz".format(**{
    "nloc": "https://github.com/",
    "path": "sonatype/helm3-charts/releases/download/",
    "prod": "nexus-repository-manager",
    "ver" : nexus_chart_version
  })
}}'
nexus_release_name: "v{{ nexus_chart_version |
  regex_replace('\\.', '-') }}"
